mobilebackup2_client_free
mobilebackup2_client_new
mobilebackup2_client_start_service
mobilebackup2_client_t
mobilebackup2_error_t
mobilebackup2_receive_message
mobilebackup2_receive_raw
mobilebackup2_send_message
mobilebackup2_send_raw
mobilebackup2_send_request
mobilebackup2_send_status_response
MOBILEBACKUP2_SERVICE_NAME
mobilebackup2_version_exchange

## mobilebackup2_client_start_service()

LIBIMOBILEDEVICE_API mobilebackup2_error_t mobilebackup2_client_start_service | ( | idevice_t | device,
|  | mobilebackup2_client_t * | client,
|  | const char * | label )

Starts a new mobilebackup2 service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated mobilebackup2_client_t upon successful return. Must be freed using mobilebackup2_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  MOBILEBACKUP2_E_SUCCESS on success, or an MOBILEBACKUP2_E_* error code otherwise.